package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机系统插槽信息类
 *
 * @author Shaolong_tan
 */
public class SystemSlot {
    /**
     * 总线地址
     */
    private String busAddress;
    /**
     * 产品特性
     */
    private Object characteristics;
    /**
     * 当前使用情况
     */
    private String currentUsage;
    /**
     * 名称
     */
    private String designation;
    /**
     * ID
     */
    private String id;
    /**
     * 长度
     */
    private String length;
    /**
     * 类型
     */
    private String type;

    /**
     * @return the busAddress
     */
    public String getBusAddress() {
        return busAddress;
    }

    /**
     * @param busAddress the busAddress to set
     */
    public void setBusAddress(String busAddress) {
        this.busAddress = busAddress;
    }

    /**
     * @return the characteristics
     */
    public Object getCharacteristics() {
        return characteristics;
    }

    /**
     * @param characteristics the characteristics to set
     */
    public void setCharacteristics(Object characteristics) {
        this.characteristics = characteristics;
    }

    /**
     * @return the currentUsage
     */
    public String getCurrentUsage() {
        return currentUsage;
    }

    /**
     * @param currentUsage the currentUsage to set
     */
    public void setCurrentUsage(String currentUsage) {
        this.currentUsage = currentUsage;
    }

    /**
     * @return the designation
     */
    public String getDesignation() {
        return designation;
    }

    /**
     * @param designation the designation to set
     */
    public void setDesignation(String designation) {
        this.designation = designation;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the length
     */
    public String getLength() {
        return length;
    }

    /**
     * @param length the length to set
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }
}
